Get candidate civil identity
curl --request GET \
--url https://api.gospott.com/candidates/{id}/civil-identity \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/candidates/{id}/civil-identity"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/candidates/{id}/civil-identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nationalRegistryNumber": "<string>",
"birthPlace": {
"name": "<string>",
"countryCode": "AF"
},
"maritalStatus": "single",
"iban": "<string>",
"dependents": {
"children": {
"total": 0,
"withDisability": 0
},
"other": {
"total": 0,
"withDisability": 0
}
}
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Candidate Civil Identity
Get candidate civil identity
Returns the civil identity details of the candidate.
GET
/
candidates
/
{id}
/
civil-identity
Get candidate civil identity
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Response
The civil identity details of the candidate.
The national registry (social security) number
The place of birth
Show child attributes
Show child attributes
The marital status
Available options:
single, married, divorced, widowed, separated, legal_cohabitation, de_facto_cohabitation, de_facto_separated The IBAN bank account number
The dependent persons of the candidate
Show child attributes
Show child attributes
Was this page helpful?
⌘I